# _SearchMachinePump2Filter
Input Object

## Fields

## #

and

[ _SearchMachinePump2Filter !]

description

_StringCondition

externalId

_IDCondition

isActive

_BooleanCondition

location_3dmr

_StringCondition

location_3dn

_StringCondition

name

_StringCondition

not

_SearchMachinePump2Filter

or

[ _SearchMachinePump2Filter !]

pnid_file

_StringCondition

pressure_ts

_StringCondition

production_ts

_StringCondition

state

_StringCondition

weight

_IntCondition

## Usages

## #

#### References

#### #

- Argument filter of field searchMachinePump2 from type Query

- Argument filter of field aggregateMachinePump2 from type Query

Previous

_SearchMachinePump2Fields

Next

_SearchMachinePumpFields